## NAME

CURLOPT_REFERER - set the HTTP referer header

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_REFERER, char *where);

## DESCRIPTION

Pass a pointer to a zero terminated string as parameter. It will be used to set the Referer: header in the http request sent to the remote server. This can be used to fool servers or scripts. You can also set any custom header with CURLOPT_HTTPHEADER.

## DEFAULT

NULL

## PROTOCOLS

HTTP

## EXAMPLE

    CURL *curl = curl_easy_init();
    if(curl) {
      curl_easy_setopt(curl, CURLOPT_URL, "http://example.com");

      /* tell it where we found the link to this place */
      curl_easy_setopt(curl, CURLOPT_REFERER, "http://example.com/aboutme.html");

      curl_easy_perform(curl);
    }

## AVAILABILITY

If built with HTTP support

## RETURN VALUE

Returns CURLE_OK if HTTP support is enabled, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_USERAGENT, CURLOPT_HTTPHEADER

This HTML page was made with roffit.